<!DOCTYPE html>
<html lang="en">
<head>
  <title>Lines with Canvas</title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="css/styles.css">
  <script src="./js/libs/jquery-1.9.0/jquery.min.js"></script>
  <script src="./js/libs/modernizr-2.6.2/modernizr.min.js"></script>
  <script type="text/javascript">
    $(document).ready(() => {
      if (!Modernizr.canvas)
        alert("Your browser doesn't support Canvas")

      var canvas = document.getElementById("canvas1");
      var ctx = canvas.getContext("2d");

      ctx.beginPath();
      ctx.moveTo(10, 10); // Start point
      ctx.lineTo(100, 100); // End line
      ctx.strokeStyle = "red";
      ctx.stroke();

      ctx.lineTo(200, 10);
      ctx.closePath(); // ctx.lineTo(10, 10);
      ctx.stroke();
      ctx.fill();

      ctx.save();
      
      // Change brush 
      ctx.fillStyle = "yellowgreen";
      ctx.strokeStyle = "yellow";
      ctx.lineWidth = 10;
      ctx.beginPath();
      ctx.moveTo(200, 200);
      ctx.lineTo(200, 350);
      ctx.lineTo(250, 350);
      ctx.closePath();
      ctx.stroke();
      ctx.fill();

      ctx.restore();
      ctx.beginPath();
      ctx.moveTo(300, 200);
      ctx.lineTo(400, 200);
      ctx.lineTo(400, 250);
      ctx.closePath();
      ctx.stroke();
      ctx.fill();

    });
  </script>
</head>
<body>
  <h1>Lines with Canvas</h1>
  <canvas id="canvas1" width="600" height="400" style="border: dotted gray 1px">
    Your browser doesn't support the tag Canvas
  </canvas>
</body>
</html>